operations
Post organisations apps operations
Create a new operation for the App in the provided organisation
POST
/
organisations
/
{organisationId}
/
apps
/
{appId}
/
operations
cURL
curl --request POST \
--url https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/apps/{appId}/operations \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"schemaId": "<string>",
"id": "<string>",
"description": "<string>",
"name": "<string>",
"path": "<string>",
"request": {
"parameters": [
{
"name": "<string>",
"required": true
}
],
"body": {}
},
"response": {},
"callbacks": {},
"components": {}
}
'import requests
url = "https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/apps/{appId}/operations"
payload = {
"schemaId": "<string>",
"id": "<string>",
"description": "<string>",
"name": "<string>",
"path": "<string>",
"request": {
"parameters": [
{
"name": "<string>",
"required": True
}
],
"body": {}
},
"response": {},
"callbacks": {},
"components": {}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
schemaId: '<string>',
id: '<string>',
description: '<string>',
name: '<string>',
path: '<string>',
request: {parameters: [{name: '<string>', required: true}], body: JSON.stringify({})},
response: {},
callbacks: {},
components: {}
})
};
fetch('https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/apps/{appId}/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/apps/{appId}/operations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'schemaId' => '<string>',
'id' => '<string>',
'description' => '<string>',
'name' => '<string>',
'path' => '<string>',
'request' => [
'parameters' => [
[
'name' => '<string>',
'required' => true
]
],
'body' => [
]
],
'response' => [
],
'callbacks' => [
],
'components' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/apps/{appId}/operations"
payload := strings.NewReader("{\n \"schemaId\": \"<string>\",\n \"id\": \"<string>\",\n \"description\": \"<string>\",\n \"name\": \"<string>\",\n \"path\": \"<string>\",\n \"request\": {\n \"parameters\": [\n {\n \"name\": \"<string>\",\n \"required\": true\n }\n ],\n \"body\": {}\n },\n \"response\": {},\n \"callbacks\": {},\n \"components\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/apps/{appId}/operations")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"schemaId\": \"<string>\",\n \"id\": \"<string>\",\n \"description\": \"<string>\",\n \"name\": \"<string>\",\n \"path\": \"<string>\",\n \"request\": {\n \"parameters\": [\n {\n \"name\": \"<string>\",\n \"required\": true\n }\n ],\n \"body\": {}\n },\n \"response\": {},\n \"callbacks\": {},\n \"components\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/apps/{appId}/operations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"schemaId\": \"<string>\",\n \"id\": \"<string>\",\n \"description\": \"<string>\",\n \"name\": \"<string>\",\n \"path\": \"<string>\",\n \"request\": {\n \"parameters\": [\n {\n \"name\": \"<string>\",\n \"required\": true\n }\n ],\n \"body\": {}\n },\n \"response\": {},\n \"callbacks\": {},\n \"components\": {}\n}"
response = http.request(request)
puts response.read_body{
"schemaId": "<string>",
"id": "<string>",
"method": "GET",
"description": "<string>",
"name": "<string>",
"path": "<string>",
"request": {
"parameters": [
{
"name": "<string>",
"type": "string",
"location": "path",
"required": true
}
],
"body": {}
},
"response": {},
"callbacks": {},
"components": {}
}{
"code": "<string>",
"message": "<string>",
"extensions": {}
}Body
application/json
CreateAppOperationRequest is the request body for creating a new Operation for an App.
Response
GetAppOperationSchemaResponse is the response definition containing the schema for a newly created Operation.
⌘I
cURL
curl --request POST \
--url https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/apps/{appId}/operations \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"schemaId": "<string>",
"id": "<string>",
"description": "<string>",
"name": "<string>",
"path": "<string>",
"request": {
"parameters": [
{
"name": "<string>",
"required": true
}
],
"body": {}
},
"response": {},
"callbacks": {},
"components": {}
}
'import requests
url = "https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/apps/{appId}/operations"
payload = {
"schemaId": "<string>",
"id": "<string>",
"description": "<string>",
"name": "<string>",
"path": "<string>",
"request": {
"parameters": [
{
"name": "<string>",
"required": True
}
],
"body": {}
},
"response": {},
"callbacks": {},
"components": {}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
schemaId: '<string>',
id: '<string>',
description: '<string>',
name: '<string>',
path: '<string>',
request: {parameters: [{name: '<string>', required: true}], body: JSON.stringify({})},
response: {},
callbacks: {},
components: {}
})
};
fetch('https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/apps/{appId}/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/apps/{appId}/operations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'schemaId' => '<string>',
'id' => '<string>',
'description' => '<string>',
'name' => '<string>',
'path' => '<string>',
'request' => [
'parameters' => [
[
'name' => '<string>',
'required' => true
]
],
'body' => [
]
],
'response' => [
],
'callbacks' => [
],
'components' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/apps/{appId}/operations"
payload := strings.NewReader("{\n \"schemaId\": \"<string>\",\n \"id\": \"<string>\",\n \"description\": \"<string>\",\n \"name\": \"<string>\",\n \"path\": \"<string>\",\n \"request\": {\n \"parameters\": [\n {\n \"name\": \"<string>\",\n \"required\": true\n }\n ],\n \"body\": {}\n },\n \"response\": {},\n \"callbacks\": {},\n \"components\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/apps/{appId}/operations")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"schemaId\": \"<string>\",\n \"id\": \"<string>\",\n \"description\": \"<string>\",\n \"name\": \"<string>\",\n \"path\": \"<string>\",\n \"request\": {\n \"parameters\": [\n {\n \"name\": \"<string>\",\n \"required\": true\n }\n ],\n \"body\": {}\n },\n \"response\": {},\n \"callbacks\": {},\n \"components\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/apps/{appId}/operations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"schemaId\": \"<string>\",\n \"id\": \"<string>\",\n \"description\": \"<string>\",\n \"name\": \"<string>\",\n \"path\": \"<string>\",\n \"request\": {\n \"parameters\": [\n {\n \"name\": \"<string>\",\n \"required\": true\n }\n ],\n \"body\": {}\n },\n \"response\": {},\n \"callbacks\": {},\n \"components\": {}\n}"
response = http.request(request)
puts response.read_body{
"schemaId": "<string>",
"id": "<string>",
"method": "GET",
"description": "<string>",
"name": "<string>",
"path": "<string>",
"request": {
"parameters": [
{
"name": "<string>",
"type": "string",
"location": "path",
"required": true
}
],
"body": {}
},
"response": {},
"callbacks": {},
"components": {}
}{
"code": "<string>",
"message": "<string>",
"extensions": {}
}